diff -Naur -x 'mtar*' service/tar_scm new_service/tar_scm
--- service/tar_scm	2011-03-31 16:23:52.000000000 +0200
+++ service/tar_scm	2011-05-16 11:21:52.225731527 +0200
@@ -17,6 +17,7 @@
 MYPREFIX=""
 MYFILENAME=""
 MYREVISION=""
+INCLUDES=""
 
 while test $# -gt 0; do
   case $1 in
@@ -40,6 +41,10 @@
       MYVERSION="$2"
       shift
     ;;
+    *-include)
+      INCLUDES="$INCLUDES $2"
+      shift
+    ;;
     *-versionprefix)
       MYPREFIX="$2"
       shift
@@ -225,9 +230,18 @@
   exit 1
 fi
 
+MYINCLUDES=""
+
+for INC in $INCLUDES; do
+  MYINCLUDES="$MYINCLUDES $FILE-${VERSION}/$INC"
+done
+if [ -z "$MYINCLUDES" ]; then 
+  MYINCLUDES="${FILE}-${VERSION}"
+fi
+
 mv "$FILE/$MYSUBDIR" "${FILE}-${VERSION}" || exit 1
 
-tar cf "$MYOUTDIR/${FILE}-${VERSION}.tar" $EXCLUDES "${FILE}-${VERSION}" || exit 1
+tar cf "$MYOUTDIR/${FILE}-${VERSION}.tar" $EXCLUDES $MYINCLUDES || exit 1
 rm -rf "${FILE}-${VERSION}" "$FILE"
 
 exit 0
diff -Naur -x 'mtar*' service/tar_scm.service new_service/tar_scm.service
--- service/tar_scm.service	2011-03-31 16:23:52.000000000 +0200
+++ service/tar_scm.service	2011-05-16 11:25:40.022716128 +0200
@@ -25,7 +25,10 @@
     <description>base file name to be created</description>
   </parameter>
   <parameter name="exclude">
-    <description>for sepcifing excludes when creating the tar ball</description>
+    <description>for specifying excludes when creating the tar ball</description>
+  </parameter>
+  <parameter name="include">
+    <description>for specifying subset of files/subdirectories to pack in the tar ball</description>
   </parameter>
   <parameter name="version">
     <description>version to be used in tar</description>
